#### D.4.19.13 GTZopt

Procedure from library `mprimdec.lib` (see mprimdec_lib).

Usage:
  GTZopt (N[, check]); module N[, module check]

Return:
  list l
  the minimal primary decomposition of the module N,
  computed by a generalized and optimized version of
  the algorithm of Gianni, Trager and Zacharias

Note:
  if the parameter check is given, only components
  not containing check are computed

Example:

    LIB "mprimdec.lib";
    ring r=0,(x,y,z),dp;
    module N=x*gen(1)+ y*gen(2),
    x*gen(1)-x2*gen(2);
    list l=GTZopt(N);
    l;
    ==> [1]:
    ==>    [1]:
    ==>       _[1]=gen(2)
    ==>       _[2]=x*gen(1)
    ==>    [2]:
    ==>       _[1]=x
    ==> [2]:
    ==>    [1]:
    ==>       _[1]=x*gen(1)+y*gen(2)
    ==>       _[2]=x*gen(2)-gen(1)
    ==>    [2]:
    ==>       _[1]=x2+y

User manual for Singular version 4.4.1, 2025, generated by texi2html.